#ifndef LIBMONITARR_INCLUDE_ARGS_HPP_
#define LIBMONITARR_INCLUDE_ARGS_HPP_

#include "utils/config.hpp"
#include <optional>

namespace monitarr {
[[nodiscard]] auto get_arg(std::string_view arg, int argc, char **argv)
    -> std::optional<std::string>;
[[nodiscard]] auto has_arg(std::string_view arg, int argc, char **argv) -> bool;
} // namespace monitarr

#endif // LIBMONITARR_INCLUDE_ARGS_HPP_
